readme.md
# 题目
每组同学可以按照书中的案例编写《外星人入侵》游戏或《Web应用程序》（功能自定）

## 要求
1. 5-6人一组，在课堂中或课堂外完成查找资料、选题、拟大纲、小组讨论、研究协作等各环节；每一个环节完成后，进行小组讨论确定解决问题的方案
2. 体现面向对象程序设计语言的特点，能够使用面向对象思想解决问题
3. 独立完成每个程序设计和编码，能够灵活运用各种调试工具和单元测试优化代码中可能出现的错误
4. 程序结构良好，包含测试模块，没有明显的错误，在课程结束前完成

## 内容
1. 程序源代码

  包含程序设计文档等设计文件，放在项目doc目录下，使用Markdown进行写作

2. 组内分工情况
   
  包含组内各人员信息, 按照下列样式撰写
   | 姓名 | 学号 | 用户名 | 分工 |
   | ---- | ---- | ------ | ---- |
## 评分

1. 正确性。程序无明显bug，占50%

2. 程序设计文档。占15%
要求：用户看了文档后，知道如何运行程序，如何进行二次开发。

3. 测试用例。占15%。
要求：合理分割功能，能够进行单元测试。
   
4. 创新点。占10%
要求：具有书中没有的功能点。

5. 答辩。占10%。
要求：课堂演示程序，并说明实现步骤，讲解代码片段，说明创新点，回答提问。